Index: pobysoC-4.0/.cproject
===================================================================
--- pobysoC-4.0/.cproject	(revision 131)
+++ pobysoC-4.0/.cproject	(revision 132)
@@ -1,5 +1,7 @@
 <?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<?fileVersion 4.0.0?><cproject storage_type_id="org.eclipse.cdt.core.XmlProjectDescriptionStorage">
+<?fileVersion 4.0.0?>
+
+<cproject storage_type_id="org.eclipse.cdt.core.XmlProjectDescriptionStorage">
 	<storageModule moduleId="org.eclipse.cdt.core.settings">
 		<cconfiguration id="0.1688976386">
 			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="0.1688976386" moduleId="org.eclipse.cdt.core.settings" name="Default">
@@ -38,216 +40,98 @@
 					</folderInfo>
 				</configuration>
 			</storageModule>
-			<storageModule moduleId="scannerConfiguration">
-				<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
-				<profile id="org.eclipse.cdt.make.core.GCCStandardMakePerProjectProfile">
-					<buildOutputProvider>
-						<openAction enabled="true" filePath=""/>
-						<parser enabled="true"/>
-					</buildOutputProvider>
-					<scannerInfoProvider id="specsFile">
-						<runAction arguments="-E -P -v -dD ${plugin_state_location}/${specs_file}" command="gcc" useDefault="true"/>
-						<parser enabled="true"/>
-					</scannerInfoProvider>
-				</profile>
-				<profile id="org.eclipse.cdt.make.core.GCCStandardMakePerFileProfile">
-					<buildOutputProvider>
-						<openAction enabled="true" filePath=""/>
-						<parser enabled="true"/>
-					</buildOutputProvider>
-					<scannerInfoProvider id="makefileGenerator">
-						<runAction arguments="-E -P -v -dD" command="" useDefault="true"/>
-						<parser enabled="true"/>
-					</scannerInfoProvider>
-				</profile>
-				<profile id="org.eclipse.cdt.managedbuilder.core.GCCManagedMakePerProjectProfile">
-					<buildOutputProvider>
-						<openAction enabled="true" filePath=""/>
-						<parser enabled="true"/>
-					</buildOutputProvider>
-					<scannerInfoProvider id="specsFile">
-						<runAction arguments="-E -P -v -dD ${plugin_state_location}/${specs_file}" command="gcc" useDefault="true"/>
-						<parser enabled="true"/>
-					</scannerInfoProvider>
-				</profile>
-				<profile id="org.eclipse.cdt.managedbuilder.core.GCCManagedMakePerProjectProfileCPP">
-					<buildOutputProvider>
-						<openAction enabled="true" filePath=""/>
-						<parser enabled="true"/>
-					</buildOutputProvider>
-					<scannerInfoProvider id="specsFile">
-						<runAction arguments="-E -P -v -dD ${plugin_state_location}/specs.cpp" command="g++" useDefault="true"/>
-						<parser enabled="true"/>
-					</scannerInfoProvider>
-				</profile>
-				<profile id="org.eclipse.cdt.managedbuilder.core.GCCManagedMakePerProjectProfileC">
-					<buildOutputProvider>
-						<openAction enabled="true" filePath=""/>
-						<parser enabled="true"/>
-					</buildOutputProvider>
-					<scannerInfoProvider id="specsFile">
-						<runAction arguments="-E -P -v -dD ${plugin_state_location}/specs.c" command="gcc" useDefault="true"/>
-						<parser enabled="true"/>
-					</scannerInfoProvider>
-				</profile>
-				<profile id="org.eclipse.cdt.managedbuilder.core.GCCWinManagedMakePerProjectProfile">
-					<buildOutputProvider>
-						<openAction enabled="true" filePath=""/>
-						<parser enabled="true"/>
-					</buildOutputProvider>
-					<scannerInfoProvider id="specsFile">
-						<runAction arguments="-c 'gcc -E -P -v -dD &quot;${plugin_state_location}/${specs_file}&quot;'" command="sh" useDefault="true"/>
-						<parser enabled="true"/>
-					</scannerInfoProvider>
-				</profile>
-				<profile id="org.eclipse.cdt.managedbuilder.core.GCCWinManagedMakePerProjectProfileCPP">
-					<buildOutputProvider>
-						<openAction enabled="true" filePath=""/>
-						<parser enabled="true"/>
-					</buildOutputProvider>
-					<scannerInfoProvider id="specsFile">
-						<runAction arguments="-c 'g++ -E -P -v -dD &quot;${plugin_state_location}/specs.cpp&quot;'" command="sh" useDefault="true"/>
-						<parser enabled="true"/>
-					</scannerInfoProvider>
-				</profile>
-				<profile id="org.eclipse.cdt.managedbuilder.core.GCCWinManagedMakePerProjectProfileC">
-					<buildOutputProvider>
-						<openAction enabled="true" filePath=""/>
-						<parser enabled="true"/>
-					</buildOutputProvider>
-					<scannerInfoProvider id="specsFile">
-						<runAction arguments="-c 'gcc -E -P -v -dD &quot;${plugin_state_location}/specs.c&quot;'" command="sh" useDefault="true"/>
-						<parser enabled="true"/>
-					</scannerInfoProvider>
-				</profile>
-				<profile id="org.eclipse.cdt.managedbuilder.xlc.core.XLCManagedMakePerProjectProfile">
-					<buildOutputProvider>
-						<openAction enabled="false" filePath=""/>
-						<parser enabled="false"/>
-					</buildOutputProvider>
-					<scannerInfoProvider id="specsFile">
-						<runAction arguments="-E -v ${plugin_state_location}/${specs_file}" command="${XL_compilerRoot}/xlc" useDefault="true"/>
-						<parser enabled="true"/>
-					</scannerInfoProvider>
-				</profile>
-				<profile id="org.eclipse.cdt.managedbuilder.xlc.core.XLCManagedMakePerProjectProfileCPP">
-					<buildOutputProvider>
-						<openAction enabled="false" filePath=""/>
-						<parser enabled="false"/>
-					</buildOutputProvider>
-					<scannerInfoProvider id="specsFile">
-						<runAction arguments="-E -v ${plugin_state_location}/${specs_file}" command="${XL_compilerRoot}/xlC" useDefault="true"/>
-						<parser enabled="true"/>
-					</scannerInfoProvider>
-				</profile>
-				<scannerConfigBuildInfo instanceId="0.1688976386">
-					<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
-					<profile id="org.eclipse.cdt.make.core.GCCStandardMakePerProjectProfile">
-						<buildOutputProvider>
-							<openAction enabled="true" filePath=""/>
-							<parser enabled="true"/>
-						</buildOutputProvider>
-						<scannerInfoProvider id="specsFile">
-							<runAction arguments="-E -P -v -dD ${plugin_state_location}/${specs_file}" command="gcc" useDefault="true"/>
-							<parser enabled="true"/>
-						</scannerInfoProvider>
-					</profile>
-					<profile id="org.eclipse.cdt.make.core.GCCStandardMakePerFileProfile">
-						<buildOutputProvider>
-							<openAction enabled="true" filePath=""/>
-							<parser enabled="true"/>
-						</buildOutputProvider>
-						<scannerInfoProvider id="makefileGenerator">
-							<runAction arguments="-E -P -v -dD" command="" useDefault="true"/>
-							<parser enabled="true"/>
-						</scannerInfoProvider>
-					</profile>
-					<profile id="org.eclipse.cdt.managedbuilder.core.GCCManagedMakePerProjectProfile">
-						<buildOutputProvider>
-							<openAction enabled="true" filePath=""/>
-							<parser enabled="true"/>
-						</buildOutputProvider>
-						<scannerInfoProvider id="specsFile">
-							<runAction arguments="-E -P -v -dD ${plugin_state_location}/${specs_file}" command="gcc" useDefault="true"/>
-							<parser enabled="true"/>
-						</scannerInfoProvider>
-					</profile>
-					<profile id="org.eclipse.cdt.managedbuilder.core.GCCManagedMakePerProjectProfileCPP">
-						<buildOutputProvider>
-							<openAction enabled="true" filePath=""/>
-							<parser enabled="true"/>
-						</buildOutputProvider>
-						<scannerInfoProvider id="specsFile">
-							<runAction arguments="-E -P -v -dD ${plugin_state_location}/specs.cpp" command="g++" useDefault="true"/>
-							<parser enabled="true"/>
-						</scannerInfoProvider>
-					</profile>
-					<profile id="org.eclipse.cdt.managedbuilder.core.GCCManagedMakePerProjectProfileC">
-						<buildOutputProvider>
-							<openAction enabled="true" filePath=""/>
-							<parser enabled="true"/>
-						</buildOutputProvider>
-						<scannerInfoProvider id="specsFile">
-							<runAction arguments="-E -P -v -dD ${plugin_state_location}/specs.c" command="gcc" useDefault="true"/>
-							<parser enabled="true"/>
-						</scannerInfoProvider>
-					</profile>
-					<profile id="org.eclipse.cdt.managedbuilder.core.GCCWinManagedMakePerProjectProfile">
-						<buildOutputProvider>
-							<openAction enabled="true" filePath=""/>
-							<parser enabled="true"/>
-						</buildOutputProvider>
-						<scannerInfoProvider id="specsFile">
-							<runAction arguments="-c 'gcc -E -P -v -dD &quot;${plugin_state_location}/${specs_file}&quot;'" command="sh" useDefault="true"/>
-							<parser enabled="true"/>
-						</scannerInfoProvider>
-					</profile>
-					<profile id="org.eclipse.cdt.managedbuilder.core.GCCWinManagedMakePerProjectProfileCPP">
-						<buildOutputProvider>
-							<openAction enabled="true" filePath=""/>
-							<parser enabled="true"/>
-						</buildOutputProvider>
-						<scannerInfoProvider id="specsFile">
-							<runAction arguments="-c 'g++ -E -P -v -dD &quot;${plugin_state_location}/specs.cpp&quot;'" command="sh" useDefault="true"/>
-							<parser enabled="true"/>
-						</scannerInfoProvider>
-					</profile>
-					<profile id="org.eclipse.cdt.managedbuilder.core.GCCWinManagedMakePerProjectProfileC">
-						<buildOutputProvider>
-							<openAction enabled="true" filePath=""/>
-							<parser enabled="true"/>
-						</buildOutputProvider>
-						<scannerInfoProvider id="specsFile">
-							<runAction arguments="-c 'gcc -E -P -v -dD &quot;${plugin_state_location}/specs.c&quot;'" command="sh" useDefault="true"/>
-							<parser enabled="true"/>
-						</scannerInfoProvider>
-					</profile>
-					<profile id="org.eclipse.cdt.managedbuilder.xlc.core.XLCManagedMakePerProjectProfile">
-						<buildOutputProvider>
-							<openAction enabled="false" filePath=""/>
-							<parser enabled="false"/>
-						</buildOutputProvider>
-						<scannerInfoProvider id="specsFile">
-							<runAction arguments="-E -v ${plugin_state_location}/${specs_file}" command="${XL_compilerRoot}/xlc" useDefault="true"/>
-							<parser enabled="true"/>
-						</scannerInfoProvider>
-					</profile>
-					<profile id="org.eclipse.cdt.managedbuilder.xlc.core.XLCManagedMakePerProjectProfileCPP">
-						<buildOutputProvider>
-							<openAction enabled="false" filePath=""/>
-							<parser enabled="false"/>
-						</buildOutputProvider>
-						<scannerInfoProvider id="specsFile">
-							<runAction arguments="-E -v ${plugin_state_location}/${specs_file}" command="${XL_compilerRoot}/xlC" useDefault="true"/>
-							<parser enabled="true"/>
-						</scannerInfoProvider>
-					</profile>
-				</scannerConfigBuildInfo>
-			</storageModule>
 			<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
 		</cconfiguration>
 	</storageModule>
 	<storageModule moduleId="cdtBuildSystem" version="4.0.0">
 		<project id="pobysoC-4.0.null.959409715" name="pobysoC-4.0"/>
 	</storageModule>
+	<storageModule moduleId="org.eclipse.cdt.core.LanguageSettingsProviders"/>
+	<storageModule moduleId="scannerConfiguration">
+		<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
+		<profile id="org.eclipse.cdt.make.core.GCCStandardMakePerProjectProfile">
+			<buildOutputProvider>
+				<openAction enabled="true" filePath=""/>
+				<parser enabled="true"/>
+			</buildOutputProvider>
+			<scannerInfoProvider id="specsFile">
+				<runAction arguments="-E -P -v -dD ${plugin_state_location}/${specs_file}" command="gcc" useDefault="true"/>
+				<parser enabled="true"/>
+			</scannerInfoProvider>
+		</profile>
+		<profile id="org.eclipse.cdt.managedbuilder.core.GCCManagedMakePerProjectProfile">
+			<buildOutputProvider>
+				<openAction enabled="true" filePath=""/>
+				<parser enabled="true"/>
+			</buildOutputProvider>
+			<scannerInfoProvider id="specsFile">
+				<runAction arguments="-E -P -v -dD ${plugin_state_location}/${specs_file}" command="gcc" useDefault="true"/>
+				<parser enabled="true"/>
+			</scannerInfoProvider>
+		</profile>
+		<profile id="org.eclipse.cdt.managedbuilder.core.GCCManagedMakePerProjectProfileCPP">
+			<buildOutputProvider>
+				<openAction enabled="true" filePath=""/>
+				<parser enabled="true"/>
+			</buildOutputProvider>
+			<scannerInfoProvider id="specsFile">
+				<runAction arguments="-E -P -v -dD ${plugin_state_location}/specs.cpp" command="g++" useDefault="true"/>
+				<parser enabled="true"/>
+			</scannerInfoProvider>
+		</profile>
+		<profile id="org.eclipse.cdt.managedbuilder.core.GCCManagedMakePerProjectProfileC">
+			<buildOutputProvider>
+				<openAction enabled="true" filePath=""/>
+				<parser enabled="true"/>
+			</buildOutputProvider>
+			<scannerInfoProvider id="specsFile">
+				<runAction arguments="-E -P -v -dD ${plugin_state_location}/specs.c" command="gcc" useDefault="true"/>
+				<parser enabled="true"/>
+			</scannerInfoProvider>
+		</profile>
+		<scannerConfigBuildInfo instanceId="0.1688976386">
+			<autodiscovery enabled="false" problemReportingEnabled="true" selectedProfileId="org.eclipse.cdt.make.core.GCCStandardMakePerFileProfile"/>
+			<profile id="org.eclipse.cdt.make.core.GCCStandardMakePerProjectProfile">
+				<buildOutputProvider>
+					<openAction enabled="true" filePath=""/>
+					<parser enabled="true"/>
+				</buildOutputProvider>
+				<scannerInfoProvider id="specsFile">
+					<runAction arguments="-E -P -v -dD ${plugin_state_location}/${specs_file}" command="gcc" useDefault="true"/>
+					<parser enabled="true"/>
+				</scannerInfoProvider>
+			</profile>
+			<profile id="org.eclipse.cdt.managedbuilder.core.GCCManagedMakePerProjectProfile">
+				<buildOutputProvider>
+					<openAction enabled="true" filePath=""/>
+					<parser enabled="true"/>
+				</buildOutputProvider>
+				<scannerInfoProvider id="specsFile">
+					<runAction arguments="-E -P -v -dD ${plugin_state_location}/${specs_file}" command="gcc" useDefault="true"/>
+					<parser enabled="true"/>
+				</scannerInfoProvider>
+			</profile>
+			<profile id="org.eclipse.cdt.managedbuilder.core.GCCManagedMakePerProjectProfileCPP">
+				<buildOutputProvider>
+					<openAction enabled="true" filePath=""/>
+					<parser enabled="true"/>
+				</buildOutputProvider>
+				<scannerInfoProvider id="specsFile">
+					<runAction arguments="-E -P -v -dD ${plugin_state_location}/specs.cpp" command="g++" useDefault="true"/>
+					<parser enabled="true"/>
+				</scannerInfoProvider>
+			</profile>
+			<profile id="org.eclipse.cdt.managedbuilder.core.GCCManagedMakePerProjectProfileC">
+				<buildOutputProvider>
+					<openAction enabled="true" filePath=""/>
+					<parser enabled="true"/>
+				</buildOutputProvider>
+				<scannerInfoProvider id="specsFile">
+					<runAction arguments="-E -P -v -dD ${plugin_state_location}/specs.c" command="gcc" useDefault="true"/>
+					<parser enabled="true"/>
+				</scannerInfoProvider>
+			</profile>
+		</scannerConfigBuildInfo>
+	</storageModule>
+	<storageModule moduleId="refreshScope"/>
 </cproject>
Index: pobysoC-4.0/src/pobyso.h
===================================================================
--- pobysoC-4.0/src/pobyso.h	(revision 131)
+++ pobysoC-4.0/src/pobyso.h	(revision 132)
@@ -20,15 +20,19 @@
 #ifndef POBYSO_h
 
 /* Typedefs to make code more readable. */
+
 typedef sollya_obj_t pobyso_error_t;
 typedef sollya_obj_t pobyso_func_exp_t;
+typedef sollya_obj_t pobyso_on_off_t;
 typedef sollya_obj_t pobyso_precision_t;
 typedef sollya_obj_t pobyso_range_t;
+typedef sollya_obj_t pobyso_sollya_verbosity_t;
 
-typedef sollya_obj_t sollya_verbosity_t;
+#define POBYSO_ABSOLUTE (1)
+#define POBYSO_RELATIVE (2)
 
-#define POBYSO_ABSOLUTE 1
-#define POBYSO_RELATIVE 2
+#define POBYSO_OFF (0)
+#define POBYSO_ON (1)
 
 /* Mimic the default behavior of interactive Sollya. */
 #define POBYSO_DEFAULT_POINTS 501
@@ -64,6 +68,8 @@
 void
 pobyso_autoprint_v(sollya_obj_t soObj, va_list va);
 
+
+
 /**
  * Parse a string to create a Sollya object.
  * A very thin wrapper around the sollya_lib_parse_string() function.
@@ -116,23 +122,35 @@
 pobyso_func_exp_t
 pobyso_remez_arbitrary_base(pobyso_func_exp_t);
 
+/**
+ * Set the canonical mode.
+ */
 
+int
+pobyso_set_canonical_on(void);
 
 /**
  * Set the verbosity mode off (level 0).
- * The current level of vebositiy is returned.
+ * The current level of verbosity is returned.
  */
-sollya_verbosity_t
+pobyso_sollya_verbosity_t
 pobyso_set_verbosity_off(void);
 
 /**
  * Set the verbosity level to newVerbosityLevel.
- * @param newVerbosityLevel must be a Sollay object corresponding to an
+ * @param newVerbosityLevel must be a Sollya object corresponding to an
  *        integer constant.
  */
-sollya_verbosity_t
-pobyso_set_verbosity_to(sollya_obj_t newVerbosityLevel);
+pobyso_sollya_verbosity_t
+pobyso_set_verbosity_to(pobyso_sollya_verbosity_t newVerbosityLevel);
 
+/**
+ * Set the verbosity level to intVerbosityLevel.
+ * @param newVerbosityLevel is an positive or null int.
+*/
+pobyso_sollya_verbosity_t
+pobyso_set_verbosity_to_int(int intVerbosityLevel);
+
 #if 0
 /**
  * Create the canonical (non sparse) base of monomials for a given degree.
Index: pobysoC-4.0/src/test-pobyso-01.c
===================================================================
--- pobysoC-4.0/src/test-pobyso-01.c	(revision 131)
+++ pobysoC-4.0/src/test-pobyso-01.c	(revision 132)
@@ -2,6 +2,6 @@
 int main()
 {
     printf("Hello World!\n");
-    return (0);
+    return 0;
 }
 
Index: pobysoC-4.0/src/test-pobyso-02.c
===================================================================
--- pobysoC-4.0/src/test-pobyso-02.c	(revision 0)
+++ pobysoC-4.0/src/test-pobyso-02.c	(revision 132)
@@ -0,0 +1,51 @@
+/** @file test-pobyso-02.c
+ * Name & purpose
+ *
+ * @author
+ * @date
+ *
+ */
+/******************************************************************************/
+/* Headers, applying the "particular to general" convention.*/
+
+#include "pobyso.h"
+
+/* includes of local headers */
+
+/* includes of project headers */
+
+/* includes of system headers */
+
+/* Other declarations */
+
+/* Internal prototypes */
+
+/* Types, constants and macros definitions */
+
+/* Global variables */
+
+/* Functions */
+
+int
+main(int argc, char** argv)
+{
+  pobyso_func_exp_t f;
+  sollya_lib_init();
+  pobyso_set_canonical_on();
+  f = pobyso_parse_string(argv[1]);
+  if (pobyso_is_function(f))
+  {
+    pobyso_autoprint(f);
+    pobyso_set_canonical_on();
+    pobyso_autoprint(sollya_lib_canonical(f));
+  }
+  else
+  {
+    fprintf(stderr,
+        "%s can't be converted into a functional expression.\n",
+        argv[1]);
+  }
+  sollya_lib_clear_obj(f);
+  sollya_lib_close();
+  return 0;
+} /* End main */

Property changes on: pobysoC-4.0/src/test-pobyso-02.c
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: pobysoC-4.0/src/pobyso.c
===================================================================
--- pobysoC-4.0/src/pobyso.c	(revision 131)
+++ pobysoC-4.0/src/pobyso.c	(revision 132)
@@ -42,92 +42,7 @@
   va_end(va);
 } /* End pobyso_autoprint. */
 
-/* @see pobyso.h#pobyso_parse*/
-pobyso_func_exp_t
-pobyso_parse(const char* expression)
-{
-  int expressionLength, i;
-  char *expressionWithSemiCo;
-  sollya_obj_t expressionStringSa;
-  sollya_obj_t expressionSa;
 
-  /* Arguments check. */
-  if (expression == NULL)
-  {
-    pobyso_error_message("pobyso_parse",
-                        "NULL_POINTER_ARGUMENT",
-                        "The expression is a NULL pointer");
-    return(sollya_lib_error());
-  }
-  expressionLength = strlen(expression);
-  if (expressionLength == 0)
-  {
-    pobyso_error_message("pobyso_parse",
-                        "EMPTY_STRING_ARGUMENT",
-                        "The expression is an empty string");
-    return(sollya_lib_error());
-  }
-  /* Search from the last char of the expression until, whichever happens
-   * first:
-   * a ";" is found;
-   * a char  != ';' is found the the ";" is appended.
-   * If the head of the string is reached before any of these two events happens
-   * return an error.
-   */
-  for (i = expressionLength - 1 ; i >= 0 ; i--)
-  {
-    if (expression[i] == ';') /* Nothing special to do:
-                                 try to parse the string*/
-    {
-      /* This ugly cast comes from a deficient definition in Sollya:
-         sollya_lib_string does not take a const char * argument. */
-      expressionStringSa = sollya_lib_string((char*)expression);
-      expressionSa = sollya_lib_parse(expressionStringSa);
-      sollya_lib_free(expressionStringSa);
-      return(expressionSa);
-    }
-    else
-    {
-      if (expression[i] == ' ' || expression[i] == '\t') /* A blank,
-                                                           just continue. */
-      {
-        continue;
-      }
-      else /* a character != ';' and from a blank: create the ';'ed string. */
-      {
-        /* Create a new string for the expression, add the ";" and
-         * and call sollya_lib_parse_string. */
-        expressionWithSemiCo = calloc(i + 3, sizeof(char));
-        if (expressionWithSemiCo == NULL)
-        {
-          pobyso_error_message("pobyso_parse",
-                                "MEMORY_ALLOCATION_ERROR",
-                                "Could not allocate the expression string");
-          return(sollya_lib_error());
-        }
-        strncpy(expressionWithSemiCo, expression, i + 1);
-        expressionWithSemiCo[i + 1] = ';';
-        expressionWithSemiCo[i + 2] = '\0';
-        expressionStringSa = sollya_lib_string(expressionWithSemiCo);
-        expressionSa = sollya_lib_parse(expressionStringSa);
-        free(expressionWithSemiCo);
-        sollya_lib_free(expressionStringSa);
-        return(expressionSa);
-      } /* End character != ';' and from a blank. */
-    /* Create a new string for the expression, add the ";" and
-     * and call sollya_lib_parse_string. */
-    } /* End else. */
-  } /* End for. */
-  /* We get here, it is because we did not find any char == anything different
-   * from ' ' or '\t': the string is empty.
-   */
-  pobyso_error_message("pobyso_parse_string",
-                       "ONLY_BLANK_ARGUMENT",
-                        "The expression is only made of blanks");
-  return(sollya_lib_error());
-
-} /* pobyso_parse_string */
-
 /* @see pobyso.h#pobyso_parse_string*/
 pobyso_func_exp_t
 pobyso_parse_string(const char* expression)
@@ -150,7 +65,7 @@
     pobyso_error_message("pobyso_parse_string",
                         "EMPTY_STRING_ARGUMENT",
                         "The expression is an empty string");
-    return(sollya_lib_error());
+    return sollya_lib_error();
   }
   /* Search from the last char of the expression until, whichever happens
    * first:
@@ -165,7 +80,7 @@
                                  try to parse the string*/
     {
       expressionSa = sollya_lib_parse_string(expression);
-      return(expressionSa);
+      return expressionSa;
     }
     else
     {
@@ -184,14 +99,14 @@
           pobyso_error_message("pobyso_parse_string",
                                 "MEMORY_ALLOCATION_ERROR",
                                 "Could not allocate the expression string");
-          return(sollya_lib_error());
+          return sollya_lib_error();
         }
-        strncpy(expressionWithSemiCo, expression, i + 1);
+        strncpy(expressionWithSemiCo, expression, i+1);
         expressionWithSemiCo[i + 1] = ';';
         expressionWithSemiCo[i + 2] = '\0';
         expressionSa = sollya_lib_parse_string(expressionWithSemiCo);
         free(expressionWithSemiCo);
-        return(expressionSa);
+        return expressionSa;
       } /* End character != ';' and from a blank. */
     /* Create a new string for the expression, add the ";" and
      * and call sollya_lib_parse_string. */
@@ -207,7 +122,47 @@
 
 } /* pobyso_parse_string */
 
-sollya_verbosity_t
+pobyso_func_exp_t
+pobyso_remez_canonical_monomials_base(pobyso_func_exp_t function,
+                                      long int degree,
+                                      pobyso_range_t interval,
+                                      pobyso_func_exp_t weight,
+                                      double quality,
+                                      pobyso_range_t bounds)
+{
+  sollya_obj_t  degreeSa = NULL;
+  sollya_obj_t qualitySa = NULL;
+
+  degreeSa = sollya_lib_constant_from_int(degree);
+  qualitySa = sollya_lib_constant_from_double(quality);
+
+  return NULL;
+} /* End pobyso_remez_canonical_monomials_base. */
+
+int
+pobyso_set_canonical_on()
+{
+  pobyso_on_off_t currentCanonicalModeSo;
+  int currentCanonicalMode;
+  pobyso_on_off_t on;
+
+  on = sollya_lib_on();
+  currentCanonicalModeSo = sollya_lib_get_canonical();
+  if (sollya_lib_is_on(currentCanonicalModeSo))
+  {
+    currentCanonicalMode = POBYSO_ON;
+  }
+  else
+  {
+    currentCanonicalMode = POBYSO_OFF;
+  }
+  sollya_lib_set_canonical(on);
+  sollya_lib_clear_obj(on);
+  sollya_lib_clear_obj(currentCanonicalModeSo);
+  return currentCanonicalMode;
+} /* End pobyso_set_canonical_on. */
+
+pobyso_sollya_verbosity_t
 pobyso_set_verbosity_off()
 {
   sollya_obj_t verbosityLevelZero;
@@ -220,15 +175,15 @@
   return(currentVerbosityLevel);
 } /* End of pobyso_set_verbosity_off. */
 
-sollya_verbosity_t
-pobyso_set_verbosity_to(sollya_obj_t newVerbosityLevel)
+pobyso_sollya_verbosity_t
+pobyso_set_verbosity_to(pobyso_sollya_verbosity_t newVerbosityLevel)
 {
   sollya_obj_t currentVerbosityLevel = NULL;
   if (newVerbosityLevel == NULL)
   {
     pobyso_error_message("pobyso_set_verbosity_to",
                         "NULL_POINTER_ARGUMENT",
-                        "The new verbosity level is a NULL pointer");
+                        "The new verbosity level is a null pointer");
     return(sollya_lib_error());
   }
   currentVerbosityLevel = sollya_lib_get_verbosity();
@@ -236,6 +191,24 @@
   return(currentVerbosityLevel);
 } /* End of pobyso_set_verbosity_to. */
 
+pobyso_sollya_verbosity_t
+pobyso_set_verbosity_to_int(int intVerbosityLevel)
+{
+  sollya_obj_t currentVerbosityLevel = NULL;
+  sollya_obj_t newVerbosityLevel     = NULL;
+  if (intVerbosityLevel < 0)
+  {
+    pobyso_error_message("pobyso_set_verbosity_to",
+                        "INVALID_VALUE",
+                        "The new verbosity level is a negative number");
+    return(sollya_lib_error());
+  }
+  newVerbosityLevel = sollya_lib_constant_from_int(intVerbosityLevel);
+  currentVerbosityLevel = sollya_lib_get_verbosity();
+  sollya_lib_set_verbosity(newVerbosityLevel);
+  return(currentVerbosityLevel);
+} /* End of pobyso_set_verbosity_to_int. */
+
 /* Attic from the sollya_lib < 4. */
 #if 0
 chain*
Index: pobysoC-4.0/src/Makefile
===================================================================
--- pobysoC-4.0/src/Makefile	(revision 131)
+++ pobysoC-4.0/src/Makefile	(revision 132)
@@ -1,7 +1,7 @@
 CC           = gcc
 CFLAGS       = -Wall -g 
 #CFLAGS       = -Wall -g -I /warehouse/storres/root/include
-LDLIB        = -Wl, -lmpfr -lgmp -lm -lfplll -lsollya
+LDLIB        = -lmpfr -lgmp -lm -lfplll -lsollya
 
 OBJS         = pobyso.o
 INCS         = pobyso.h 
@@ -12,7 +12,7 @@
 TEST_SOURCES = $(TEST_DIR)/$(TEST_DRIVER).c \
                # Add the suites definition sources
 
-ALL_TARGETS = test-pobyso-01
+ALL_TARGETS = test-pobyso-01 test-pobyso-02
 
 SCRATCH_PRG := $(patsubst %.c,%,$(wildcard *.c))
 SCRATCH_ALL := $(SCRATCH_PRG)
Index: pobysoC-4.0/.settings/language.settings.xml
===================================================================
--- pobysoC-4.0/.settings/language.settings.xml	(revision 0)
+++ pobysoC-4.0/.settings/language.settings.xml	(revision 132)
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<project>
+	<configuration id="0.1688976386" name="Default">
+		<extension point="org.eclipse.cdt.core.LanguageSettingsProvider">
+			<provider copy-of="extension" id="org.eclipse.cdt.ui.UserLanguageSettingsProvider"/>
+			<provider-reference id="org.eclipse.cdt.managedbuilder.core.MBSLanguageSettingsProvider" ref="shared-provider"/>
+			<provider copy-of="extension" id="org.eclipse.cdt.managedbuilder.core.GCCBuildCommandParser"/>
+			<provider-reference id="org.eclipse.cdt.managedbuilder.core.GCCBuiltinSpecsDetector" ref="shared-provider"/>
+		</extension>
+	</configuration>
+</project>

Property changes on: pobysoC-4.0/.settings/language.settings.xml
___________________________________________________________________
Added: svn:mime-type
   + text/plain

